import Vue from "vue";
import VueRouter from "vue-router";
import Login from "../views/login/login";
import Layout from "../views/layout/layout";
import Users from "../views/users/users";
import Devices from "../views/devices/devices";
import Map from "../views/map/map";
import Set from "../views/devices/set";

Vue.use(VueRouter);

const routes = [{
		path: "/",
		name: "Layout",
		component: Layout,
		children: [{
				path: "/users",
				name: "Users",
				component: Users
			},
			{
				path: "/devices",
				name: "Devices",
				component: Devices
			},
			{
				path: "/map",
				name: "Map",
				component: Map
			},
			{
				path: "/set",
				name: "Set",
				component: Set
			}
		]
	},
	{
		path: "/login",
		name: "Login",
		component: Login,
	}
];

const router = new VueRouter({
	routes
});

export default router;
